#!/usr/bin/env python
# coding: utf-8

import socket
import time
import argparse

parser = argparse.ArgumentParser(description='Send commands to the source mote')
parser.add_argument('host', type=str,help='host')
parser.add_argument('port', type=int,help='port number')
parser.add_argument('st_file', type=str,help='st-packet')
parser.add_argument('period', type=str,nargs='?', help='period')

# period, if provided determines the inter-packet delay.
# If not provided, st-packet timestamps are considered

args = parser.parse_args()

if args.period is not None:
    ipd = float(args.period) # inter-packet delay.
    
socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
socket.connect((args.host, args.port))
print "Connection on {}".format(args.port)

f = open(args.st_file, "r")
oldstime=0

for line in f:
    if not line.lstrip().startswith('#'):
    	line_words = line.split()
    	payload_size = line_words[2]
    	seqno = line_words[1]
    
    	if args.period is None:
        	time_to_send = float(line_words[0])
        	ipd = time_to_send - oldstime
        	oldstime = time_to_send
        
    	socket.sendall(payload_size+" "+seqno+"\n")

	print seqno+" "+payload_size,"sleeping for",ipd
    	time.sleep(ipd)
socket.close()
